C Program to restrict time series to a specific interval and
c   to delete specified intervals of data
c
      double precision doy, start, stop, doy1, doy2, tbad1(1000),
     & tbad2(1000), time
      character*40 ifile, ofile, badfile
      print*,' Name of input file'
      read(5,100)ifile
100   format(a40)
      print*,' Name of output file'
      read(5,100)ofile
      open(1,file=ifile)
      open(2,file=ofile)
      print*,' time interval of interest; yr_start, doy_start',
     * ' yr_end, doy_end'
      read(5,*)yr1,doy1,yr2,doy2
      start=yr1*1000.0 + doy1
      stop=yr2*1000.0 + doy2
      print*,' Name of file with intervals to be deleted'
      read(5,100) badfile
      open(3,file=badfile)
c  input the time interval of data to be deleted
      nbad=0
10    continue
        read(3,*,end=15)yr1,doy1,yr2,doy2
        nbad=nbad+1
        tbad1(nbad)=yr1*1000. + doy1
        tbad2(nbad)=yr2*1000. + doy2
        go to 10
15    continue
      print*,' Number of intervals to be deleted', nbad
c  Read data
      n0=0
      n1=0
      n2=0
      n3=0
20    continue
        read(1,*,end=30)yr,doy, d, e
        time=yr*1000. + doy
        n0=n0+1
c  test to see if data within specified interval start and stop
        if ((time .ge. start) .and. (time .le. stop)) then
        n1=n1+1
c   test to see if data within a period of time to be deleted
          iflag=0
          do 25 i=1,nbad
            if ((time .ge. tbad1(i)) .and. (time .le. tbad2(i))) then
              iflag=1
              n3=n3+1
            end if
25        continue
          if (iflag .eq. 0 ) then
c    output the data
            n2=n2+1
            write(2,101)yr,doy,d, e
101         format(f6.0,f15.9,f15.3,f15.3)
          end if        
        
        end if
        go to 20
30    continue
      print*,' Number of data in input file', n0
      print*,' Number of data within specified interval', n1
      print*,' Number of data output to file', n2
      print*,' Number of data deleted', n3
      close(1)
      close(2)
      close(3)
      stop
      end
     